Skip to main content
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
spending-limit
Create a spending limit
curl --request POST \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/spending-limit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 1,
  "mint": "<string>",
  "period": "<string>",
  "destinations": [
    "<string>"
  ],
  "expiration": 123,
  "spending_limit_signers": [
    "<string>"
  ],
  "transaction_signers": [
    "<string>"
  ]
}
'
import requests

url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/spending-limit"

payload = {
"amount": 1,
"mint": "<string>",
"period": "<string>",
"destinations": ["<string>"],
"expiration": 123,
"spending_limit_signers": ["<string>"],
"transaction_signers": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 1,
mint: '<string>',
period: '<string>',
destinations: ['<string>'],
expiration: 123,
spending_limit_signers: ['<string>'],
transaction_signers: ['<string>']
})
};

fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/spending-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "kms_payloads": [
    {
      "address": "<string>",
      "payload": "<string>"
    }
  ],
  "spending_limit_address": "<string>",
  "transaction": "<string>",
  "transaction_signers": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Path Parameters

address
string
required

Smart account address

Body

application/json
amount
integer<int64>
required
Required range: x >= 0
mint
string
required
period
string
required
destinations
string[]
expiration
integer<int64> | null
spending_limit_signers
string[]
transaction_signers
string[]

Response

Spending limit created successfully

kms_payloads
object[]
required
spending_limit_address
string
required
transaction
string
required
transaction_signers
string[]